Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytypereconstruction.typeassumption
Class CTypeAssumption

    java.lang.Object
      mycompiler.mytypereconstruction.typeassumption.CTypeAssumption

All Implemented Interfaces:
  IHashSetElement

Direct Known Subclasses:
  CInstVarTypeAssumption, CLocalVarTypeAssumption, CMethodTypeAssumption, CParaTypeAssumption

    public abstract class CTypeAssumption

extends java.lang.Object
implements IHashSetElement

Diese Klasse repräsentiert eine Typannahme und bildet einen Bezeichner innerhalb einer bestimmten Klasse auf einen angenommenen Typ ab.
Die von dieser Klasse abgeleiteten Subklassen stehen für bestimmte Typannahmen des abstrakten Syntaxbaumes, wie z.B. für Felder, Methoden, lokale Variablen, etc.

Version:
  $Date: 2005/06/28 19:19:09 $
Author:
  Jörg Bäuerle

Field Summary
`protected Type` | `m_AssumedType`
`protected java.lang.String` | `m_ClassName`
`protected java.lang.String` | `m_Identifier`
`protected int` | `m_LineNumber`

Constructor Summary
`CTypeAssumption(java.lang.String className, java.lang.String identifier, Type assumedType, int lineNumber)`

Method Summary
`abstract CTypeAssumption` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`abstract boolean` | `equalsAssumption(CTypeAssumption assumption)`
`Type` | `getAssumedType()`
`java.lang.String` | `getClassName()`
`abstract CTypeAssumptionKey` | `getHashSetKey()`
`java.lang.String` | `getIdentifier()`
`int` | `getLineNumber()`
`boolean` | `isTyploseVariable()`
`void` | `print()`
`void` | `setAssumedType(Type assumedType)`
`void` | `setClassName(java.lang.String className)`
`void` | `setIdentifier(java.lang.String identifier)`
`void` | `setLineNumber(int lineNumber)`
`void` | `sub(CSubstitution substitution)`
`void` | `sub(CSubstitutionSet substitutionSet)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_ClassName

    protected java.lang.String m_ClassName

### m_Identifier

    protected java.lang.String m_Identifier

### m_AssumedType

    protected Type m_AssumedType

### m_LineNumber

    protected int m_LineNumber

Constructor Detail

### CTypeAssumption

    public CTypeAssumption(java.lang.String className,
                           java.lang.String identifier,
                           Type assumedType,
                           int lineNumber)

Method Detail

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### getIdentifier

    public java.lang.String getIdentifier()

### setIdentifier

    public void setIdentifier(java.lang.String identifier)

### getAssumedType

    public Type getAssumedType()

### setAssumedType

    public void setAssumedType(Type assumedType)

### getLineNumber

    public int getLineNumber()

### setLineNumber

    public void setLineNumber(int lineNumber)

### print

    public void print()

### sub

    public void sub(CSubstitutionSet substitutionSet)

### sub

    public void sub(CSubstitution substitution)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public final boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### isTyploseVariable

    public boolean isTyploseVariable()

### equalsAssumption

    public abstract boolean equalsAssumption(CTypeAssumption assumption)

### clone

    public abstract CTypeAssumption clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getHashSetKey

    public abstract CTypeAssumptionKey getHashSetKey()

  Specified by:
    `getHashSetKey` in interface `IHashSetElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD